package com.jxdinfo.hussar.core.bouncycastle.jce.provider;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Object;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1StreamParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.cryptopro.GOST3410PublicKeyAlgParameters;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x509.SubjectPublicKeyInfo;
import com.jxdinfo.hussar.core.bouncycastle.crypto.params.ECDomainParameters;
import com.jxdinfo.hussar.core.bouncycastle.crypto.params.ECPublicKeyParameters;
import com.jxdinfo.hussar.core.bouncycastle.jce.interfaces.ECPointEncoder;
import com.jxdinfo.hussar.core.bouncycastle.jce.interfaces.ECPublicKey;
import com.jxdinfo.hussar.core.bouncycastle.jce.provider.ProviderUtil;
import com.jxdinfo.hussar.core.bouncycastle.jce.provider.asymmetric.ec.EC5Util;
import com.jxdinfo.hussar.core.bouncycastle.jce.spec.ECParameterSpec;
import com.jxdinfo.hussar.core.bouncycastle.jce.spec.ECPublicKeySpec;
import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECCurve;
import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECPoint;
import com.jxdinfo.hussar.core.support.OSUtil;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.math.BigInteger;
import java.security.interfaces.ECPublicKey;
import java.security.spec.ECParameterSpec;
import java.security.spec.ECPoint;
import java.security.spec.ECPublicKeySpec;
import java.security.spec.EllipticCurve;

public class JCEECPublicKey implements ECPublicKey, ECPublicKey, ECPointEncoder {
  private String j = "EC";
  
  private ECPoint G;
  
  private GOST3410PublicKeyAlgParameters C;
  
  private boolean e;
  
  private ECParameterSpec continue;
  
  public JCEECPublicKey(String str, com.jxdinfo.hussar.core.bouncycastle.jce.provider.JCEECPublicKey jCEECPublicKey1) {
    this.j = str;
    this.G = jCEECPublicKey1.G;
    this.continue = jCEECPublicKey1.continue;
    this.e = jCEECPublicKey1.e;
    this.C = jCEECPublicKey1.C;
  }
  
  public ECParameterSpec getParams() {
    return this.continue;
  }
  
  public int hashCode() {
    '⥯';
    '⼖';
    return engineGetQ().hashCode() ^ this().hashCode();
  }
  
  public JCEECPublicKey(String str, ECPublicKeyParameters eCPublicKeyParameters, ECParameterSpec eCParameterSpec) {
    ECDomainParameters eCDomainParameters = eCPublicKeyParameters.getParameters();
    this.j = str;
    this.G = eCPublicKeyParameters.getQ();
    if (eCParameterSpec == null) {
      EllipticCurve ellipticCurve = EC5Util.convertCurve(eCDomainParameters.getCurve(), eCDomainParameters.getSeed());
      this.continue = new(ellipticCurve, eCDomainParameters);
      return;
    } 
    while (true) {
      EllipticCurve ellipticCurve = EC5Util.convertCurve(eCParameterSpec.getCurve(), eCParameterSpec.getSeed());
      this.continue = EC5Util.convertSpec(ellipticCurve, eCParameterSpec);
      return;
    } 
  }
  
  public JCEECPublicKey(String str, ECPublicKeySpec eCPublicKeySpec) {
    this.j = str;
    this.G = eCPublicKeySpec.getQ();
    if (eCPublicKeySpec.getParams() != null) {
      ECCurve eCCurve;
      EllipticCurve ellipticCurve = EC5Util.convertCurve(eCCurve = eCPublicKeySpec.getParams().getCurve(), eCPublicKeySpec.getParams().getSeed());
      this.continue = EC5Util.convertSpec(ellipticCurve, eCPublicKeySpec.getParams());
      return;
    } 
    while (true) {
      if (this.G.getCurve() == null) {
        ECParameterSpec eCParameterSpec;
        this.G = (eCParameterSpec = ProviderUtil.getEcImplicitlyCa()).getCurve().createPoint(this.G.getX().toBigInteger(), this.G.getY().toBigInteger(), false);
      } 
      this.continue = null;
      return;
    } 
    this.continue = null;
  }
  
  public JCEECPublicKey(String str, ECPublicKeyParameters eCPublicKeyParameters, ECParameterSpec eCParameterSpec) {
    ECDomainParameters eCDomainParameters = eCPublicKeyParameters.getParameters();
    this.j = str;
    this.G = eCPublicKeyParameters.getQ();
    if (eCParameterSpec == null) {
      EllipticCurve ellipticCurve = EC5Util.convertCurve(eCDomainParameters.getCurve(), eCDomainParameters.getSeed());
      this.continue = new(ellipticCurve, eCDomainParameters);
      return;
    } 
    while (true) {
      this.continue = eCParameterSpec;
      return;
    } 
  }
  
  public boolean equals(Object object) {
    if (!(object instanceof com.jxdinfo.hussar.core.bouncycastle.jce.provider.JCEECPublicKey)) {
      '❏';
      '૔';
      return true;
    } 
    while (true) {
      object = object;
      if (engineGetQ().equals(object.engineGetQ()) && this().equals(object.this()))
        return true; 
      while (true)
        return false; 
    } 
  }
  
  public void setPointFormat(String str) {
    // Byte code:
    //   0: aload_0
    //   1: ldc_w 'LD_@[UlhCPI['
    //   4: invokestatic strictfp : (Ljava/lang/String;)Ljava/lang/String;
    //   7: aload_1
    //   8: invokevirtual equalsIgnoreCase : (Ljava/lang/String;)Z
    //   11: ifne -> 19
    //   14: iconst_1
    //   15: goto -> 20
    //   18: pop
    //   19: iconst_0
    //   20: putfield e : Z
    //   23: return
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	24	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/jce/provider/JCEECPublicKey;
    //   0	24	1	a	Ljava/lang/String;
  }
  
  ECParameterSpec this() {
    if (this.continue != null)
      return EC5Util.convertSpec(this.continue, this.e); 
    while (true)
      return ProviderUtil.getEcImplicitlyCa(); 
  }
  
  public ECPoint engineGetQ() {
    return this.G;
  }
  
  public JCEECPublicKey(String str, ECPublicKeySpec eCPublicKeySpec) {
    this.j = str;
    this.continue = eCPublicKeySpec.getParams();
    this.G = EC5Util.convertPoint(this.continue, eCPublicKeySpec.getW(), false);
  }
  
  public ECPoint getW() {
    return new ECPoint(this.G.getX().toBigInteger(), this.G.getY().toBigInteger());
  }
  
  public String getAlgorithm() {
    return this.j;
  }
  
  public JCEECPublicKey(ECPublicKey eCPublicKey) {
    this.j = eCPublicKey.getAlgorithm();
    this.continue = eCPublicKey.getParams();
    this.G = EC5Util.convertPoint(this.continue, eCPublicKey.getW(), false);
  }
  
  public JCEECPublicKey(String str, ECPublicKeyParameters eCPublicKeyParameters) {
    this.j = str;
    this.G = eCPublicKeyParameters.getQ();
    this.continue = null;
  }
  
  public ECParameterSpec getParameters() {
    if (this.continue == null)
      return null; 
    while (true)
      return EC5Util.convertSpec(this.continue, this.e); 
  }
  
  public String getFormat() {
    return OSUtil.break("\004VGTW");
  }
  
  JCEECPublicKey(SubjectPublicKeyInfo subjectPublicKeyInfo) {
    abstract(subjectPublicKeyInfo);
  }
  
  public ECPoint getQ() {
    // Byte code:
    //   0: aload_0
    //   1: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   4: ifnonnull -> 79
    //   7: aload_0
    //   8: getfield G : Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   11: instanceof com/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint$Fp
    //   14: ifeq -> 41
    //   17: new com/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint$Fp
    //   20: dup
    //   21: aconst_null
    //   22: aload_0
    //   23: getfield G : Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   26: invokevirtual getX : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;
    //   29: aload_0
    //   30: getfield G : Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   33: invokevirtual getY : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;
    //   36: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECCurve;Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;)V
    //   39: areturn
    //   40: pop
    //   41: new com/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint$F2m
    //   44: dup
    //   45: aconst_null
    //   46: aload_0
    //   47: getfield G : Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   50: invokevirtual getX : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;
    //   53: aload_0
    //   54: getfield G : Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   57: invokevirtual getY : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;
    //   60: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECCurve;Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;)V
    //   63: areturn
    //   64: iconst_0
    //   65: sipush #-18267
    //   68: sipush #-22647
    //   71: sipush #30803
    //   74: sipush #-31963
    //   77: pop2
    //   78: pop2
    //   79: aload_0
    //   80: getfield G : Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   83: areturn
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	84	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/jce/provider/JCEECPublicKey;
  }
  
  public byte[] getEncoded() {
    // Byte code:
    //   0: aload_0
    //   1: getfield j : Ljava/lang/String;
    //   4: ldc 'ECGOST3410'
    //   6: invokevirtual equals : (Ljava/lang/Object;)Z
    //   9: ifeq -> 226
    //   12: aload_0
    //   13: getfield C : Lcom/jxdinfo/hussar/core/bouncycastle/asn1/cryptopro/GOST3410PublicKeyAlgParameters;
    //   16: ifnull -> 29
    //   19: aload_0
    //   20: dup
    //   21: getfield C : Lcom/jxdinfo/hussar/core/bouncycastle/asn1/cryptopro/GOST3410PublicKeyAlgParameters;
    //   24: astore_1
    //   25: goto -> 143
    //   28: pop
    //   29: aload_0
    //   30: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   33: instanceof com/jxdinfo/hussar/core/bouncycastle/jce/spec/ECNamedCurveSpec
    //   36: ifeq -> 68
    //   39: new com/jxdinfo/hussar/core/bouncycastle/asn1/cryptopro/GOST3410PublicKeyAlgParameters
    //   42: dup
    //   43: aload_0
    //   44: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   47: checkcast com/jxdinfo/hussar/core/bouncycastle/jce/spec/ECNamedCurveSpec
    //   50: invokevirtual getName : ()Ljava/lang/String;
    //   53: invokestatic getOID : (Ljava/lang/String;)Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObjectIdentifier;
    //   56: getstatic com/jxdinfo/hussar/core/bouncycastle/asn1/cryptopro/CryptoProObjectIdentifiers.gostR3411_94_CryptoProParamSet : Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObjectIdentifier;
    //   59: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObjectIdentifier;Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObjectIdentifier;)V
    //   62: astore_1
    //   63: aload_0
    //   64: goto -> 143
    //   67: iconst_0
    //   68: aload_0
    //   69: dup
    //   70: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   73: invokevirtual getCurve : ()Ljava/security/spec/EllipticCurve;
    //   76: invokestatic convertCurve : (Ljava/security/spec/EllipticCurve;)Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECCurve;
    //   79: astore_3
    //   80: new com/jxdinfo/hussar/core/bouncycastle/asn1/x9/X9ECParameters
    //   83: dup
    //   84: aload_3
    //   85: dup
    //   86: aload_0
    //   87: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   90: invokevirtual getGenerator : ()Ljava/security/spec/ECPoint;
    //   93: aload_0
    //   94: getfield e : Z
    //   97: invokestatic convertPoint : (Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECCurve;Ljava/security/spec/ECPoint;Z)Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   100: aload_0
    //   101: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   104: invokevirtual getOrder : ()Ljava/math/BigInteger;
    //   107: aload_0
    //   108: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   111: invokevirtual getCofactor : ()I
    //   114: i2l
    //   115: invokestatic valueOf : (J)Ljava/math/BigInteger;
    //   118: aload_0
    //   119: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   122: invokevirtual getCurve : ()Ljava/security/spec/EllipticCurve;
    //   125: invokevirtual getSeed : ()[B
    //   128: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECCurve;Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;Ljava/math/BigInteger;Ljava/math/BigInteger;[B)V
    //   131: astore #4
    //   133: new com/jxdinfo/hussar/core/bouncycastle/asn1/x9/X962Parameters
    //   136: dup
    //   137: aload #4
    //   139: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/x9/X9ECParameters;)V
    //   142: astore_1
    //   143: getfield G : Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   146: invokevirtual getX : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;
    //   149: invokevirtual toBigInteger : ()Ljava/math/BigInteger;
    //   152: astore_3
    //   153: aload_0
    //   154: dup
    //   155: dup_x1
    //   156: getfield G : Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   159: invokevirtual getY : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;
    //   162: invokevirtual toBigInteger : ()Ljava/math/BigInteger;
    //   165: astore #4
    //   167: bipush #64
    //   169: newarray byte
    //   171: iconst_1
    //   172: dup
    //   173: pop2
    //   174: dup
    //   175: astore #5
    //   177: iconst_0
    //   178: aload_3
    //   179: invokespecial double : ([BILjava/math/BigInteger;)V
    //   182: aload #5
    //   184: bipush #32
    //   186: aload #4
    //   188: invokespecial double : ([BILjava/math/BigInteger;)V
    //   191: new com/jxdinfo/hussar/core/bouncycastle/asn1/x509/SubjectPublicKeyInfo
    //   194: dup
    //   195: new com/jxdinfo/hussar/core/bouncycastle/asn1/x509/AlgorithmIdentifier
    //   198: dup
    //   199: getstatic com/jxdinfo/hussar/core/bouncycastle/asn1/cryptopro/CryptoProObjectIdentifiers.gostR3410_2001 : Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObjectIdentifier;
    //   202: aload_1
    //   203: invokevirtual getDERObject : ()Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObject;
    //   206: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObjectIdentifier;Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DEREncodable;)V
    //   209: new com/jxdinfo/hussar/core/bouncycastle/asn1/DEROctetString
    //   212: dup
    //   213: aload #5
    //   215: invokespecial <init> : ([B)V
    //   218: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/x509/AlgorithmIdentifier;Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DEREncodable;)V
    //   221: dup
    //   222: astore_2
    //   223: goto -> 460
    //   226: aload_0
    //   227: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   230: instanceof com/jxdinfo/hussar/core/bouncycastle/jce/spec/ECNamedCurveSpec
    //   233: ifeq -> 285
    //   236: aload_0
    //   237: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   240: checkcast com/jxdinfo/hussar/core/bouncycastle/jce/spec/ECNamedCurveSpec
    //   243: invokevirtual getName : ()Ljava/lang/String;
    //   246: invokestatic getNamedCurveOid : (Ljava/lang/String;)Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObjectIdentifier;
    //   249: dup
    //   250: astore_3
    //   251: ifnonnull -> 272
    //   254: new com/jxdinfo/hussar/core/bouncycastle/asn1/DERObjectIdentifier
    //   257: dup
    //   258: aload_0
    //   259: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   262: checkcast com/jxdinfo/hussar/core/bouncycastle/jce/spec/ECNamedCurveSpec
    //   265: invokevirtual getName : ()Ljava/lang/String;
    //   268: invokespecial <init> : (Ljava/lang/String;)V
    //   271: astore_3
    //   272: new com/jxdinfo/hussar/core/bouncycastle/asn1/x9/X962Parameters
    //   275: dup
    //   276: aload_3
    //   277: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObjectIdentifier;)V
    //   280: astore_1
    //   281: aload_0
    //   282: goto -> 382
    //   285: aload_0
    //   286: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   289: ifnonnull -> 307
    //   292: new com/jxdinfo/hussar/core/bouncycastle/asn1/x9/X962Parameters
    //   295: dup
    //   296: getstatic com/jxdinfo/hussar/core/bouncycastle/asn1/DERNull.INSTANCE : Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERNull;
    //   299: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObject;)V
    //   302: astore_1
    //   303: aload_0
    //   304: goto -> 382
    //   307: aload_0
    //   308: dup
    //   309: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   312: invokevirtual getCurve : ()Ljava/security/spec/EllipticCurve;
    //   315: invokestatic convertCurve : (Ljava/security/spec/EllipticCurve;)Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECCurve;
    //   318: astore_3
    //   319: new com/jxdinfo/hussar/core/bouncycastle/asn1/x9/X9ECParameters
    //   322: dup
    //   323: aload_3
    //   324: dup
    //   325: aload_0
    //   326: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   329: invokevirtual getGenerator : ()Ljava/security/spec/ECPoint;
    //   332: aload_0
    //   333: getfield e : Z
    //   336: invokestatic convertPoint : (Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECCurve;Ljava/security/spec/ECPoint;Z)Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   339: aload_0
    //   340: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   343: invokevirtual getOrder : ()Ljava/math/BigInteger;
    //   346: aload_0
    //   347: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   350: invokevirtual getCofactor : ()I
    //   353: i2l
    //   354: invokestatic valueOf : (J)Ljava/math/BigInteger;
    //   357: aload_0
    //   358: getfield continue : Ljava/security/spec/ECParameterSpec;
    //   361: invokevirtual getCurve : ()Ljava/security/spec/EllipticCurve;
    //   364: invokevirtual getSeed : ()[B
    //   367: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECCurve;Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;Ljava/math/BigInteger;Ljava/math/BigInteger;[B)V
    //   370: astore #4
    //   372: new com/jxdinfo/hussar/core/bouncycastle/asn1/x9/X962Parameters
    //   375: dup
    //   376: aload #4
    //   378: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/x9/X9ECParameters;)V
    //   381: astore_1
    //   382: invokevirtual engineGetQ : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   385: invokevirtual getCurve : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECCurve;
    //   388: astore_3
    //   389: new com/jxdinfo/hussar/core/bouncycastle/asn1/x9/X9ECPoint
    //   392: dup
    //   393: aload_3
    //   394: aload_0
    //   395: invokevirtual getQ : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   398: invokevirtual getX : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;
    //   401: invokevirtual toBigInteger : ()Ljava/math/BigInteger;
    //   404: aload_0
    //   405: invokevirtual getQ : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   408: invokevirtual getY : ()Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECFieldElement;
    //   411: invokevirtual toBigInteger : ()Ljava/math/BigInteger;
    //   414: aload_0
    //   415: getfield e : Z
    //   418: invokevirtual createPoint : (Ljava/math/BigInteger;Ljava/math/BigInteger;Z)Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;
    //   421: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/math/ec/ECPoint;)V
    //   424: invokevirtual getDERObject : ()Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObject;
    //   427: checkcast com/jxdinfo/hussar/core/bouncycastle/asn1/ASN1OctetString
    //   430: astore #4
    //   432: new com/jxdinfo/hussar/core/bouncycastle/asn1/x509/SubjectPublicKeyInfo
    //   435: dup
    //   436: new com/jxdinfo/hussar/core/bouncycastle/asn1/x509/AlgorithmIdentifier
    //   439: dup
    //   440: getstatic com/jxdinfo/hussar/core/bouncycastle/asn1/x9/X9ObjectIdentifiers.id_ecPublicKey : Lcom/jxdinfo/hussar/core/bouncycastle/asn1/ASN1ObjectIdentifier;
    //   443: aload_1
    //   444: invokevirtual getDERObject : ()Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObject;
    //   447: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObjectIdentifier;Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DEREncodable;)V
    //   450: aload #4
    //   452: invokevirtual getOctets : ()[B
    //   455: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/x509/AlgorithmIdentifier;[B)V
    //   458: dup
    //   459: astore_2
    //   460: invokevirtual getDEREncoded : ()[B
    //   463: areturn
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	464	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/jce/provider/JCEECPublicKey;
  }
  
  public String toString() {
    StringBuffer stringBuffer = new StringBuffer();
    String str = System.getProperty(ASN1StreamParser.strictfp("{mwo2|su__qwcm"));
    stringBuffer.append(OSUtil.break("B_UQ[T^^Tv|X+^N")).append(this.G.getY().toBigInteger().toString(16)).append(str);
    stringBuffer.append(ASN1StreamParser.strictfp("37$9*</6%\036\r0[6?")).append(this.G.getX().toBigInteger().toString(16)).append(str);
    return stringBuffer.append(OSUtil.break("02[$\013\034\030??X9\001\027")).append(str).toString();
  }
}
